Index: ipk/source/bootlogos_fireskull_0_1/CONTROL/preinst
===================================================================
--- ipk/source/bootlogos_fireskull_0_1/CONTROL/preinst	(revision 3085)
+++ ipk/source/bootlogos_fireskull_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
